The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Apache Build

Discussion in 'EasyApache' started by moFBush, Dec 31, 2005.

  1. moFBush

    moFBush Well-Known Member

    Joined:
    Dec 31, 2005
    Messages:
    51
    Likes Received:
    0
    Trophy Points:
    6
    OS: Fedora Core 2
    WHM: 10.8.0
    cPanel: 10.8.1-S31

    When I use WHM > Apache Update - Left the default ticks and added GD (Version 2.0.15), I get the following Error:

    Code:
    configure php-4.4.1...(--with-apxs=/usr/local/apache/bin/apxs --prefix=/usr/local --with-xml --enable-bcmath --enable-calendar --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --enable-magic-quotes --with-mysql=/usr --enable-discard-path --with-pear --enable-sockets --enable-track-vars --enable-versioning --with-zlib).... . . . . . . . . . . . . . . . . . . . . Done
    configure: error: libXpm.(a|so) not found.
    make -j 4 php-4.4.1...(clean).... Done
    make -j 4 php-4.4.1....... Done
    make php-4.4.1...(install).... Done
    /etc/rc.d/init.d/httpd start: httpd started
    configure php-4.4.1...(--prefix=/usr --with-xml --enable-bcmath --enable-calendar --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --enable-magic-quotes --with-mysql=/usr --enable-discard-path --with-pear --enable-sockets --enable-track-vars --enable-versioning --with-zlib).... . . . . . . . . . . . . . . . Done
    configure: error: libXpm.(a|so) not found.
    Line #2 & #8.

    BTW: I'm completely new to cPanel & WHM as of yesterday. :/

    Thanks for your help.
     
  2. moFBush

    moFBush Well-Known Member

    Joined:
    Dec 31, 2005
    Messages:
    51
    Likes Received:
    0
    Trophy Points:
    6
    I tried doing what fmalepour said to do in http://forums.cpanel.net/showthread.php?s=&threadid=11472&highlight=libxpm

    It didnt give me any errors while rebuilding but when I tried to use the thumbnail generation on my forums powered by Integramod it did not generate the picture.

    How can I check to see what libs i have installed and if GD 2.0.15 even installed..

    Like I said above, i'm very new to this cPanel and new to linux as well.

    thanks for your help.

    Ken
     
  3. Izzee

    Izzee Well-Known Member

    Joined:
    Feb 6, 2004
    Messages:
    469
    Likes Received:
    0
    Trophy Points:
    16
    There are 2 things you can try.

    First instead of trying to alter the default settings, which should be left as the defaults, use the button Load Previous Config. Do your box ticking in there and then click Start Build. Any problems when you configure in there can be reversed by going back to the default configuration which, I believe, is why it wont let you change anything anyway.

    If that fails again do as cPanelnick suggested in that very old thread you linked to:

    In shell:
    /scripts/rpmup

    Or in WHM:
    Software >> Update System Software

    The last entry returned should say:
    GD installed ok

    Then repeat the Load Previous Config instructions above.
    Good Luck.

    To add:
    To find if you indeed have libXpm on your system type:
    locate -u
    This will build locate's file data base and when it is finished, can take a few minutes, type:

    locate libXpm

    The result should look something like this:

    /usr/X11R6/lib/libXpm.so
    /usr/X11R6/lib/libXpm.so.4
    /usr/X11R6/lib/libXpm.a
    /usr/X11R6/lib/libXpm.so.4.11


    :)
     
    #3 Izzee, Dec 31, 2005
    Last edited: Dec 31, 2005
  4. moFBush

    moFBush Well-Known Member

    Joined:
    Dec 31, 2005
    Messages:
    51
    Likes Received:
    0
    Trophy Points:
    6
    I ended up doing Software >> Update System Software

    It says "GD installed ok" but when I use IntegraMOD Forums, they have a photo album and when you submit a picture it's suppose to automatically generate a thumbnail using GD 2 but it does not.

    All the support members over at IntegraMOD say that you have to have GD installed for it to work, I tell them that I do and that my system says that I do... But obviously its not working.

    UPDATE:

    I did the following:
    root@web [~]# locate -u
    root@web [~]# locate libXpm
    root@web [~]#

    shows no results. :(

    I knew I should of just stayed with that shared hosting plan I had with the company instead of going to a VPS through them. This un-managed hosting is just too much can someone please help me!

    If you can help me and think AOL Instant Messanger would be a better way of communicating please feel free to IM me at "wtf kurgon"

    Thanks.
     
    #4 moFBush, Dec 31, 2005
    Last edited: Dec 31, 2005
  5. Izzee

    Izzee Well-Known Member

    Joined:
    Feb 6, 2004
    Messages:
    469
    Likes Received:
    0
    Trophy Points:
    16
    Did you do a search on the Itermod forums?

    I found this after using the search term 'thumbnail'. There were lots of people with a similar issue so perhaps you could check out the replies in depth.

    http://www.integramod.com/home/view...humbnail&sid=35d10b393875cea5d15a74383f64790a


    Make sure the directory the thumbnails are created in is chmod 0777 or if you have phpSuExec compiled in Apache then set it to 0755.

    VPS are usually a managed situation. You should ask your VPS provider to check what you have missing and install it for you, but ask them how they did it so you can learn to do it yourelf in future. If they won't help you then go to PowerVPS they are excellent in helping you out.

    PS. I personally don't IM or PM about issues on the these forums as they are here to help all people not just individuals :)
    :)
     
    #5 Izzee, Dec 31, 2005
    Last edited: Dec 31, 2005
Loading...

Share This Page